Bug 994477 - Missing tar dependency for `puppet module install`
Missing tar dependency for `puppet module install`
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sam Kottler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 07:13 EDT by Dominic Cleal
Modified: 2014-06-18 04:14 EDT (History)
10 users (show)

See Also:
Fixed In Version: puppet-3.1.1-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:31:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2013-08-07 07:13:21 EDT
Description of problem:
The "puppet module install" subcommand requires tar to unpack modules from the Forge, but the package doesn't specify this as a dependency.  Minimal Fedora installs don't appear to include this by default any more.

Version-Release number of selected component (if applicable):
puppet-3.1.1-5.fc19.noarch

How reproducible:
Always

Steps to Reproduce:
1. puppet module install saz/ntp

Actual results:
# puppet module install saz/ntp
Notice: Preparing to install into /etc/puppet/modules ...
Notice: Downloading from https://forge.puppetlabs.com ...
Notice: Installing -- do not interrupt ...
Error: Could not extract contents of module archive: Execution of 'tar xzf /var/lib/puppet/puppet-module/cache/https_forge_puppetlabs_com-ed3a0e51b3c1d8d395ffb1d12c849e3f50d35a10/saz-ntp-2.0.3.tar.gz -C /var/lib/puppet/puppet-module/cache/tmp-unpacker-f88b8869aec4b5a200be24c967ced7a13ede4463' returned 1: 
Error: Try 'puppet help module install' for usage

Expected results:
Notice: Preparing to install into /etc/puppet/modules ...
Notice: Downloading from https://forge.puppetlabs.com ...
Notice: Installing -- do not interrupt ...
/etc/puppet/modules
└── saz-ntp (v2.0.3)
Comment 1 Sam Kottler 2013-08-07 09:09:31 EDT
I'm moving this to rawhide and then will cherry-pick into 18 and 19.
Comment 2 Fedora Update System 2013-08-07 10:22:50 EDT
puppet-3.1.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/puppet-3.1.1-7.fc19
Comment 3 Fedora Update System 2013-08-07 10:55:49 EDT
puppet-3.1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/puppet-3.1.1-3.fc18
Comment 4 Fedora Update System 2013-08-07 18:58:58 EDT
Package puppet-3.1.1-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing puppet-3.1.1-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14395/puppet-3.1.1-7.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-18 17:31:04 EDT
puppet-3.1.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.